## nvtv 0.3.0

=== Makefile ===
# Global makefile for NVTV

# FIXME: Version should be only here, not in src/Makefile.in and the README's
# as well.
VERSION = 0.3.0

SHELL=/bin/sh
MAKE=/usr/bin/make

# [A-Z] does not work for some reason

UPPER=[ABCDEFGHIJKLMNOPQRSTUVWXYZ]

# Main goal

all: notice

notice:
	@echo "To build NVTV, type:" 
	@echo "  cd src" 
	@echo "  ./configure" 
	@echo "  make"

src/Makefile: src/Makefile.in src/configure
	cd src; ./configure; cd ..

src/configure: src/configure.in
	cd src; autoconf; cd ..

bin: src/Makefile
	cd src; VERSION=$(VERSION) $(MAKE); cd ..

bin-strip: bin
	strip src/nvtv
	strip src/nvtvd

distclean:
	rm -rf nvtv-bin-*; 
	cd src; \
	if test -f Makefile; then make clean; fi; \
	rm -f *.o *.d nvtv nvtvd Makefile config.{cache,log,status} confdefs.h \

tar: tar-bin tar-src

tar-src: distclean
	cd ..; \
	tar czf nvtv-$(VERSION).tar.gz nvtv/$(UPPER)* nvtv/{doc,src,xine,tcltk}

tar-bin: bin-strip
	rm -rf nvtv-bin-$(VERSION)
	mkdir nvtv-bin-$(VERSION); 
	ln -s ../README.binary nvtv-bin-$(VERSION)/README; 
	for f in {ANNOUNCE,BUGS,ChangeLog,FAQ,LICENSE}; do \
	  ln -s ../$$f nvtv-bin-$(VERSION)/$$f; \
	done; 
	ln -s ../doc nvtv-bin-$(VERSION)/doc; \
	ln -s ../src/nvtv nvtv-bin-$(VERSION)/nvtv; \
	ln -s ../src/nvtvd nvtv-bin-$(VERSION)/nvtvd; \
	tar chzf ../nvtv-bin-$(VERSION).tar.gz nvtv-bin-$(VERSION);
	rm -rf nvtv-bin-$(VERSION);

## nvtv 0.4.7

=== debian/changelog ===
nvtv (0.4.7-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957620)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 03 Aug 2020 16:30:37 +0100

nvtv (0.4.7-8) unstable; urgency=low

  * Updated standards.
  * 3.0 (quilt) source format.
  * Fixed implicit declaration warnings.
  * Fixed lintian warnings: homepage, autotool files, spelling errors,
    hardening, init.d status support, init.d remote_fs dependency.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 02 Sep 2012 03:46:30 +0200

nvtv (0.4.7-7) unstable; urgency=low

  * Fix FTBFS libpci-dev replaced pciutils-dev (Closes: #478389).
  * Standards 3.7.3.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 29 Apr 2008 08:53:15 +0200

nvtv (0.4.7-6) unstable; urgency=low

  * Fix watch file again.
  * Provide an icon. (Closes: #441545)
  * Changed .desktop category to "AudioVideo;TV".
  * Changed menu section to "Applications/TV and Radio".
  * Added LSB section to initscript. Now using lsb log_* functions.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 10 Sep 2007 19:10:04 +0200

nvtv (0.4.7-5) unstable; urgency=low

  * Add .desktop file. (closes: #375512)
  * Switch to cdbs.
  * Build-depend on x11proto-core-dev instead of deprecated x-dev.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 25 Jul 2006 20:52:55 +0200

nvtv (0.4.7-4) unstable; urgency=low

  * Fix xlibs Build-Depends. (closes: #374526)
  * Updated standards (no changes).

 -- Roberto Lumbreras <rover@debian.org>  Wed, 21 Jun 2006 18:43:28 +0200

nvtv (0.4.7-3) unstable; urgency=low

  * Fix xlibs-dev Build-Depends. (closes: #347032)
  * Updated standards (no changes).

 -- Roberto Lumbreras <rover@debian.org>  Wed, 11 Jan 2006 18:38:17 +0100

nvtv (0.4.7-2) unstable; urgency=low

  * Relicense manpages under the BSD license, as requested the original
    author, Eduard Bloch. (closes: #292238)
  * Added watch file.
  * Changed `Tool' to lowercase in the `Description:' of the package,
    as lintian suggested.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 26 Jan 2005 02:15:44 +0100

nvtv (0.4.7-1) unstable; urgency=low

  * New upstream release. (closes: #252782)
  * Added amd64 to arch list. (closes: #252775)

 -- Roberto Lumbreras <rover@debian.org>  Sat, 05 Jun 2004 14:26:12 +0200

nvtv (0.4.6-3) unstable; urgency=low

  * Recompile again nvtv, this time it is linked staticaly with libpci (no
    changes). (closes: #244461)

 -- Roberto Lumbreras <rover@debian.org>  Sun, 18 Apr 2004 18:07:13 +0200

nvtv (0.4.6-2) unstable; urgency=low

  * Recompile with new pciutils-dev (closes: #240805)

 -- Roberto Lumbreras <rover@debian.org>  Tue, 30 Mar 2004 00:28:17 +0200

nvtv (0.4.6-1) unstable; urgency=low

  * New upstream release (closes: #238223)
  * Added init script so gksu is not needed.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 16 Mar 2004 02:31:53 +0100

nvtv (0.4.5-4) unstable; urgency=low

  * Recompile with libgtk2.0-dev (closes: #225929)
  * New standards (no changes needed)

 -- Roberto Lumbreras <rover@debian.org>  Tue, 27 Jan 2004 01:26:39 +0100

nvtv (0.4.5-3) unstable; urgency=low

  * Changed manpage section of nvtv (closes: #214713)

 -- Roberto Lumbreras <rover@debian.org>  Sat, 11 Oct 2003 15:54:12 +0200

nvtv (0.4.5-2) unstable; urgency=low

  * New maintainer, closes: #158156

 -- Roberto Lumbreras <rover@debian.org>  Sun, 05 Oct 2003 02:55:34 +0200

nvtv (0.4.5-1) unstable; urgency=low

  * New upstream release
    + uses X_FLAGS instead of $x_includes (closes: #192455)

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Oct 2003 12:40:58 +0200

nvtv (0.4.4-1) unstable; urgency=low

  * New upstream release, closes: #187764

 -- Eduard Bloch <blade@debian.org>  Sun,  6 Apr 2003 13:53:19 +0200

nvtv (0.4.3-1) unstable; urgency=low

  * New upstream release, closes: #181345
  * Documented nvtv-noroot

 -- Eduard Bloch <blade@debian.org>  Mon, 17 Feb 2003 20:48:02 +0100

nvtv (0.4.2-3) unstable; urgency=low

  * Limited the number of Arches to i386 - upstream seems to use i386-specific
    stuff, closes: #171099

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Nov 2002 22:58:13 +0100

nvtv (0.4.2-2) unstable; urgency=low

  * Updated config.{guess,sub}, closes: #171077

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Nov 2002 18:31:23 +0100

nvtv (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Fixed capitalisation, closes: #140880

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Nov 2002 14:59:46 +0100

nvtv (0.4.0-2) unstable; urgency=low

  * Using gksu to get root permissions

 -- Eduard Bloch <blade@debian.org>  Wed, 17 Jul 2002 23:55:13 +0200

nvtv (0.4.0-1) unstable; urgency=low

  * New upstream release
  * xterm -> x-terminal-emulator, closes: #150836
  * changed error message to point to nvtv-noroot

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Jun 2002 15:57:23 +0200

nvtv (0.3.0-3) unstable; urgency=low

  * Changed the tempfile thing to place the control pipes in $HOME
  * improved clean rule

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Mar 2002 00:10:00 +0100

nvtv (0.3.0-2) unstable; urgency=low

  * Wrapper, asking to enter the root passwort included

 -- Eduard Bloch <blade@debian.org>  Tue, 19 Mar 2002 15:02:21 +0100

nvtv (0.3.0-1) unstable; urgency=low

  * Initial Release, closes: #136223
  * replaced the static tempfile references with tempnam generated strings
  * wrote manpages

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Mar 2002 11:37:12 +0100

=== debian/control ===
Source: nvtv
Section: admin
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: cdbs (>=0.4.93~), debhelper (>= 9), autotools-dev, libpci-dev,
 libgtk2.0-dev, libx11-dev, libxmu-dev, libxxf86vm-dev, x11proto-core-dev,
 automake, autoconf, libtool
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/nv-tv-out

Package: nvtv
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Provides: tvtool
Description: tool to control TV chips on NVidia cards under Linux
 This is a program to control the TV encoder chips on NVidia cards under
 Linux, in order to get tv-out with a wide range of resolutions and
 sizes, including "overscan" modes. It does even work with the free nv drivers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_MAKE_CLEAN_TARGET := distclean
LDFLAGS += -Wl,-dy,--as-needed

makebuilddir::
	aclocal
	autoconf
	automake --foreign --add-missing --force-missing --copy
	libtoolize --copy --force
